<#ibiztemplate>
FILENAME=WebContext.java
PUBOBJ=SysWebContextCode
MODELS=PSSYSTEM
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.srv.web;


import net.ibizsys.paas.web.IWebContext;
import java.util.ArrayList;
import ${pub.getPKGCodeName()}.srv.${sys.codeName}SysModel;

/**
 * @author lionlau
 *
 */
<#if sys.getDynaSysMode()==2>
public class WebContext extends net.ibizsys.ssdyna.web.WebContext
<#else>
public class WebContext extends net.ibizsys.<#if sys.getSaaSMode()==1>saas<#else>paas</#if>.web.WebContext
</#if>
{
	@Override
	public void login(String strLoginName) throws Exception
	{
		
		super.login(strLoginName);
		
	}
	
	
	@Override
	public void logout(boolean bReleaseSession)
	{
		//设置用户标识
		//this.setSessionValue(IWebContext.PERSONID,null);
		//设置名称
		//this.setSessionValue(IWebContext.UESRNAME,null);
		//设置组织标识
		//this.setSessionValue(IWebContext.ORGID,null);
		//设置组织名称
		//this.setSessionValue(IWebContext.ORGNAME,null);	
		
		super.logout(bReleaseSession);
	}

<#if sys.getSaaSMode()==1>
      private ${sys.codeName}SysModel ${srfparamname('${sys.codeName}')}SysModel;
      /**
       * 获取当前系统[${sys.codeName}]模型对象
       * @return
	   */
      public  ${sys.codeName}SysModel get${sys.codeName}SysModel() {
           if(this.${srfparamname('${sys.codeName}')}SysModel==null)
           {
               try
                {
                      this.${srfparamname('${sys.codeName}')}SysModel = (${sys.codeName}SysModel)net.ibizsys.paas.sysmodel.SysModelGlobal.getSystem("${pub.getPKGCodeName()}.srv.${sys.codeName}SysModel");
                }
                catch(Exception ex)
                {
                }
           }       
           return this.${srfparamname('${sys.codeName}')}SysModel;
      }
 
	@Override
	public net.ibizsys.paas.sysmodel.ISystemModel getSystemModel() {
    	return this.get${sys.codeName}SysModel();
    }
</#if>
}